al_set_mouse_xy(3)

NAME

al_set_mouse_xy - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_set_mouse_xy(ALLEGRO_DISPLAY *display, int x, int y)

DESCRIPTION

Try to position the mouse at the given coordinates on the given display. The mouse movement resulting from a successful move will generate an ALLEGRO_EVENT_MOUSE_WARPED(3) event.

Returns true on success, false on failure.

SEE ALSO

al_set_mouse_z(3), al_set_mouse_w(3)